 tests/tests.py | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/tests/tests.py b/tests/tests.py
index d210bc6..71f8074 100644
--- a/tests/tests.py
+++ b/tests/tests.py
@@ -11,6 +11,7 @@ try:
 except ImportError:
     import simplejson as json
 import math
+import nose
 import platform
 import sys
 import time
@@ -24,9 +25,10 @@ from functools import partial
 
 PY3 = (sys.version_info[0] >= 3)
 
-def _python_ver(skip_major, skip_minor=None):
+def _skip_if_python_ver(skip_major, skip_minor=None):
     major, minor = sys.version_info[:2]
-    return major == skip_major and (skip_minor is None or minor == skip_minor)
+    if major == skip_major and (skip_minor is None or minor == skip_minor):
+        raise nose.SkipTest
 
 json_unicode = (json.dumps if sys.version_info[0] >= 3
                 else partial(json.dumps, encoding="utf-8"))
@@ -579,8 +581,8 @@ class UltraJSONTests(TestCase):
         input = "-31337"
         self.assertEquals (-31337, ujson.decode(input))
 
-    #@unittest.skipIf(_python_ver(3), "No exception in Python 3")
     def test_encodeUnicode4BytesUTF8Fail(self):
+        _skip_if_python_ver(3)
         input = "\xfd\xbf\xbf\xbf\xbf\xbf"
         try:
             enc = ujson.encode(input)
